<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>com.atlassian.jira.plugins</groupId>
        <artifactId>jira-plugin-base</artifactId>
        <version>15</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>com.atlassian.jira.plugin.ext.subversion</groupId>
    <artifactId>atlassian-jira-subversion-plugin</artifactId>
    <version>0.10.5.2</version>

    <name>JIRA Subversion plugin</name>
    <packaging>jar</packaging>


    <description>A plugin to integrate JIRA with Subversion.</description>
    <url>http://confluence.atlassian.com/display/JIRAEXT/JIRA+Subversion+plugin</url>


    <developers>
        <developer>
            <name>Mike Cannon-Brookes</name>
            <id>mike</id>
            <email>mike@atlassian.com</email>
            <organization>Atlassian</organization>
            <roles>
                <role>Developer</role>
            </roles>
        </developer>
        <developer>
            <name>Dylan Etkin</name>
            <id>detkin</id>
            <email>dylan@atlassian.com</email>
            <organization>Atlassian</organization>
            <roles>
                <role>Developer</role>
            </roles>
        </developer>
    </developers>

    <scm>
        <connection>scm:svn:https://svn.atlassian.com/svn/public/contrib/jira/subversion-jira-plugin/tags/atlassian-jira-subversion-plugin-0.10.5.2</connection>
        <developerConnection>scm:svn:https://svn.atlassian.com/svn/public/contrib/jira/subversion-jira-plugin/tags/atlassian-jira-subversion-plugin-0.10.5.2</developerConnection>
        <url>http://svn.atlassian.com/fisheye/browse/public/contrib/jira/subversion-jira-plugin/tags/atlassian-jira-subversion-plugin-0.10.5.2</url>
    </scm>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <includes>
                    <include>atlassian-plugin.xml</include>
                    <include>subversion-jira-plugin.properties</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <excludes>
                    <exclude>atlassian-plugin.xml</exclude>
                    <exclude>subversion-jira-plugin.properties</exclude>
                </excludes>
            </resource>
        </resources>
        <testResources>
            <testResource>
                <directory>src/test/resources</directory>
                <filtering>true</filtering>
                <includes>
                    <include>subversion-jira-plugin.properties</include>
                </includes>
            </testResource>
            <testResource>
                <directory>src/test/resources</directory>
                <filtering>false</filtering>
                <excludes>
                    <exclude>subversion-jira-plugin.properties</exclude>
                </excludes>
            </testResource>
        </testResources>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.2-beta-2</version>
                <executions>
                    <execution>
                        <id>create-distribution-zip</id>
                        <phase>package</phase>
                        <goals>
                            <goal>attached</goal>
                        </goals>

                        <configuration>
                            <descriptors>
                                <descriptor>src/assemble/distribution.xml</descriptor>
                            </descriptors>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>com.atlassian.maven.plugins</groupId>
                <artifactId>maven-clover2-plugin</artifactId>
                <configuration>
                    <targetPercentage>50%</targetPercentage>
                </configuration>
            </plugin>

            <plugin>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.1</version>
                <executions>
                    <execution>
                        <id>pre-integration-test-user-ant-tasks</id>
                        <configuration>
                            <tasks>
                                <copy file="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/atlassian-jira-subversion-plugin-0.10.5.2.jar" tofile="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/atlassian-jira-subversion-plugin-0.10.5.2.jar.bak" />
                                <zip destfile="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/atlassian-jira-subversion-plugin-0.10.5.2.jar" update="true">
                                    <fileset dir="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/test-classes" includes="subversion-jira-plugin.properties" />
                                </zip>
                            </tasks>
                        </configuration>
                    </execution>

                    <execution>
                        <id>post-integration-test-user-ant-tasks</id>
                        <configuration>
                            <tasks>
                                <copy file="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/atlassian-jira-subversion-plugin-0.10.5.2.jar.bak" tofile="/Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/target/atlassian-jira-subversion-plugin-0.10.5.2.jar" />
                            </tasks>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>


    <dependencies>
        <dependency>
            <groupId>jmock</groupId>
            <artifactId>jmock-cglib</artifactId>
            <version>1.2.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>1.2</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.tmatesoft.svnkit</groupId>
            <artifactId>svnkit</artifactId>
            <version>1.2.1.5297</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.trilead</groupId>
            <artifactId>trilead-ssh2</artifactId>
            <version>build213-svnkit-1.2-patch</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <properties>
        <atlassian.plugin.key>com.atlassian.jira.plugin.ext.subversion</atlassian.plugin.key>
        <atlassian.plugin.application.version.min>4.0</atlassian.plugin.application.version.min>
        <atlassian.plugin.application.version.max>4.0</atlassian.plugin.application.version.max>
        <!-- For filtering subversion-jira-plugin.properties -->
        <svn.root>http://svn.atlassian.com/svn/public/contrib/jira/subversion-jira-plugin/samplerepo/</svn.root>

        <svn.test.root.protocol>file://</svn.test.root.protocol>
        <svn.test.root.path>${user.dir}/svn-repository/</svn.test.root.path>
        <svn.test.root>file:///Users/dchui/Projects/Atlassian/JIRA/Round2/subversion-jira-plugin/trunk/target/checkout/svn-repository/</svn.test.root>
        <svn.test.root.username>dchui</svn.test.root.username>
        <svn.test.root.password>changeit</svn.test.root.password>

        <atlassian.product.version>4.0</atlassian.product.version>
        <atlassian.product.data.version>4.0</atlassian.product.data.version>
        <atlassian.product.test-lib.version>4.0</atlassian.product.test-lib.version>
        <atlassian.test.harness.version>0.11-beta3</atlassian.test.harness.version>

        <jdkLevel>1.5</jdkLevel>
        <jvmargs>-XX:MaxPermSize=384m -Xms128m -Xmx564m</jvmargs>
    </properties>

</project>
